Skip to contentSkip to main navigation Skip to footer

Πώς μπορώ να εκτελέσω την PHP έκδοση που επιθυμώ;

Από προεπιλογή, όλα τα Πακέτα Φιλοξενίας μας και τα Πακέτα Μεταπωλητών μας τρέχουν την τελευταία σταθερή έκδοση της PHP.  Επειδή όμως η τεχνολογία εξελίσσεται συνεχώς, πολλές παλιές εφαρμογές ενδέχεται να μην υποστηρίζονται από τις νεότερες εκδόσεις της PHP. Αυτό συμβαίνει λόγω έλλειψης συμβατότητας. Ως εκ τούτου ενδέχεται να μη μπορούν πλέον να εκτελεστούν. Oι εφαρμογές που τρέχουν με παλιές εκδόσεις PHP θα πρέπει σε εύλογο χρονικό διάστημα να αναβαθμίζονται. Aπό κάποια στιγμή και μετά, αυτές οι εφαρμογές γίνονται ευάλωτες σε κακές επιθέσεις. Επιπλέον, δεν θα είναι για πάντα διαθέσιμες στον Server όλες οι PHP εκδόσεις για ευνόητους λόγους.

Γι’ αυτό το λόγο, δίνουμε την δυνατότητα της επιλογής σε κάθε λογαριασμό της PHP έκδοσης που επιθυμεί. Σας διαθέτουμε, λοιπόν, ένα εργαλείο που ονομάζεται “PHP Selector“. Το εργαλείο αυτό είναι μέρος του CloudLinux λειτουργικού συστήματος. Επιτρέπει στους χρήστες να επιλέξουν την έκδοση της PHP που θα ήθελαν να τρέχουν στον λογαριασμό φιλοξενίας τους. Χάρη σε αυτό μπορείτε να τρέχετε διαφορετική έκδοση PHP από τον υπόλοιπο Server. Η επιλογή γίνεται μέσα από τον cPanel λογαριασμό που σας διαθέτουμε.

Πως μπορώ να επιλέξω άλλη έκδοση της PHP

Πολύ απλά συνδεθείτε στο cPanel σας και στη συνέχεια ακολουθήστε τα παρακάτω βήματα:

  1. Στην κατηγορία “Software”, κάντε κλικ στο εικονίδιο “Select PHP Version”.
  2. Από το αναπτυσσόμενο πλαίσιο (drop down box), επιλέξτε την έκδοση της PHP που θέλατε να τρέχει στο λογαριασμό σας. Κάντε κλικ στο κουμπί “Set as Current”. Αν θέλετε και πάλι να αλλάξετε για να πάτε πίσω στην προεπιλεγμένη έκδοση PHP μπορείτε να επιλέξετε την επιλογή “Native” από το αναπτυσσόμενο πλαίσιο.
  3. Αφού επιλέξετε την PHP έκδοσή σας, θα δείτε μια λίστα των διαφόρων ενοτήτων της PHP που μπορείτε να εκτελέσετε. Αν γνωρίζετε ποιες πρέπει να χρειάζεστε, μπορείτε να τις επιλέξετε. Σε διαφορετική περίπτωση μπορείτε να κάνετε κλικ στο “Χρήση προεπιλογών” (Use Defaults) για να χρησιμοποιήσετε τις ίδιες ενότητες που τρέχουν στο Server.

Περισσότερες πληροφορίες

Ο PHP Selector καθορίζει την έκδοση της PHP ανά λογαριασμό cPanel. Δεν είναι δυνατόν να ρυθμίσετε την έκδοση της PHP ανά φάκελο (folder). Έτσι, εάν έχετε PHP scripts που χρειάζονται διαφορετικές εκδόσεις, τότε δεν θα μπορέσετε να τα τρέξετε όλα. Θα τρέξουν μόνο όσα ανταποκρίνονται στην έκδοση που επιλέξατε. Εάν θέλετε να εκτελούνται όλα, θα πρέπει να επιλέξετε διαφορετικούς λογαριασμούς φιλοξενίας.

Ο “PHP Selector” είναι διαθέσιμος σε όλα τα cPanel πακέτα φιλοξενίας μας.

Was This Article Helpful?

Related Articles